org.appng.appngizer.model.xml

## Class Error

- java.lang.Object
- - org.appng.appngizer.model.xml.Error

-     public class Error
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="path" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `path`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Error()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()` Gets the value of the path property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setPath(String value)` Sets the value of the path property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### path

          protected String path

  - ### Constructor Detail

    - #### Error

          public Error()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPath

          public String getPath()

      Gets the value of the path property.
      Returns:
        possible object is `String`

    - #### setPath

          public void setPath(String value)

      Sets the value of the path property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.